Skip to content

CloudFront  >  Operations  >  list_field_level_encryption_profiles

list_field_level_encryption_profiles

Operation

list_field_level_encryption_profiles async

list_field_level_encryption_profiles(request: ListFieldLevelEncryptionProfilesInput | ListFieldLevelEncryptionProfilesInputDict, /, *, plugins: list[Plugin] | None = None) -> ListFieldLevelEncryptionProfilesOutput
list_field_level_encryption_profiles(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListFieldLevelEncryptionProfilesInputDict]) -> ListFieldLevelEncryptionProfilesOutput

Request a list of field-level encryption profiles that have been created in CloudFront for this account.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListFieldLevelEncryptionProfilesOutput

An instance of ListFieldLevelEncryptionProfilesOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListFieldLevelEncryptionProfilesInput dataclass

Bases: _SerdeShape

Dataclass for ListFieldLevelEncryptionProfilesInput structure.

Attributes
marker class-attribute instance-attribute
marker: str | None = ...

Use this when paginating results to indicate where to begin in your list of profiles. The results include profiles in the list that occur after the marker. To get the next page of results, set the Marker to the value of the NextMarker from the current page's response (which is also the ID of the last profile on that page).

max_items class-attribute instance-attribute
max_items: int | None = ...

The maximum number of field-level encryption profiles you want in the response body.

Dictionaries

ListFieldLevelEncryptionProfilesInputDict

Bases: TypedDict

Dictionary form of ListFieldLevelEncryptionProfilesInput.

Attributes
marker instance-attribute
marker: str | None

Use this when paginating results to indicate where to begin in your list of profiles. The results include profiles in the list that occur after the marker. To get the next page of results, set the Marker to the value of the NextMarker from the current page's response (which is also the ID of the last profile on that page).

max_items instance-attribute
max_items: int | None

The maximum number of field-level encryption profiles you want in the response body.

Output

ListFieldLevelEncryptionProfilesOutput dataclass

Bases: _SerdeShape

Dataclass for ListFieldLevelEncryptionProfilesOutput structure.

Attributes

field_level_encryption_profile_list class-attribute instance-attribute
field_level_encryption_profile_list: FieldLevelEncryptionProfileList | None = ...

Returns a list of the field-level encryption profiles that have been created in CloudFront for this account.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.